SDL_DisplayModeData Struct Reference

`#include <SDL_cocoamodes.h>`

Inheritance diagram for SDL_DisplayModeData:
[legend]
Collaboration diagram for SDL_DisplayModeData:
[legend]

## Data Fields

const void * | moderef
DEVMODE | DeviceMode
float | ScaleX
float | ScaleY
float | DiagDPI
float | HorzDPI
float | VertDPI

## Properties

UIScreenMode * | uiscreenmode

## Detailed Description

Definition at line 31 of file SDL_cocoamodes.h.

## Field Documentation

DEVMODE SDL_DisplayModeData::DeviceMode

Definition at line 33 of file SDL_windowsmodes.h.

float SDL_DisplayModeData::DiagDPI

Definition at line 36 of file SDL_windowsmodes.h.

float SDL_DisplayModeData::HorzDPI

Definition at line 37 of file SDL_windowsmodes.h.

const void* SDL_DisplayModeData::moderef

Definition at line 33 of file SDL_cocoamodes.h.

float SDL_DisplayModeData::ScaleX

Definition at line 34 of file SDL_windowsmodes.h.

float SDL_DisplayModeData::ScaleY

Definition at line 35 of file SDL_windowsmodes.h.

float SDL_DisplayModeData::VertDPI

Definition at line 38 of file SDL_windowsmodes.h.

## Property Documentation

UIScreenMode* SDL_DisplayModeData::uiscreenmode

read write nonatomic strong

Definition at line 36 of file SDL_uikitmodes.h.

The documentation for this struct was generated from the following files:

- src/video/cocoa/SDL_cocoamodes.h
- src/video/uikit/SDL_uikitmodes.h
- src/video/windows/SDL_windowsmodes.h